Edit

Background Jobs - Get Execute Job Instance

Returns the specified execute job instance for a data pipeline.

Required Delegated Scopes

DataPipeline.Read.All or DataPipeline.ReadWrite.All or Item.Read.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/dataPipelines/{dataPipelineId}/jobs/execute/instances/{jobInstanceId}

URI Parameters

Name In Required Type Description
dataPipelineId
path True

string (uuid)

The data pipeline ID.

jobInstanceId
path True

string (uuid)

The job instance ID.

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

DataPipelineExecuteJobInstance

Request completed successfully.


Headers:

Retry-After integer - The number of seconds to wait before checking the status of the job instance.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • InsufficientPrivileges - The caller does not have sufficient permissions to access the item.

  • ItemNotFound - Requested item id not found.

Examples

Get data pipeline execute job instance example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/a0a0a0a0-bbbb-cccc-dddd-e1e1e1e1e1e1/dataPipelines/dddddddd-9999-0000-1111-eeeeeeeeeeee/jobs/execute/instances/aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb

Sample response

{
  "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
  "itemId": "dddddddd-9999-0000-1111-eeeeeeeeeeee",
  "jobType": "Execute",
  "invokeType": "Manual",
  "status": "Completed",
  "rootActivityId": "11111111-2222-3333-4444-555555555555",
  "startTimeUtc": "2024-06-22T06:35:00.7812154",
  "endTimeUtc": "2024-06-22T06:35:00.8033333",
  "failureReason": null
}

Definitions

Name Description
DataPipelineExecuteJobInstance

A data pipeline execute job instance.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

InvokeType

The item job invoke type. Additional invokeTypes may be added over time.

ItemJobStatus

The item job status. Additional statuses may be added over time.

DataPipelineExecuteJobInstance

A data pipeline execute job instance.

Name Type Description
endTimeUtc

string

Job end time in UTC

failureReason

ErrorResponse

Error response when job is failed

id

string (uuid)

Job instance Id

invokeType

InvokeType

The item job invoke type. Additional invokeTypes may be added over time.

itemId

string (uuid)

Item Id

jobType

string

Job type

rootActivityId

string (uuid)

Root activity id to trace requests across services

startTimeUtc

string

Job start time in UTC

status

ItemJobStatus

The item job status. Additional statuses may be added over time.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

InvokeType

The item job invoke type. Additional invokeTypes may be added over time.

Value Description
Scheduled

Job is scheduled

Manual

Job is invoked manually

ItemJobStatus

The item job status. Additional statuses may be added over time.

Value Description
NotStarted

Job not started

InProgress

Job in progress

Completed

Job completed

Failed

Job failed

Cancelled

Job cancelled

Deduped

A job instance of the same job type is already running and this job instance is skipped